PDA

View Full Version : Knoppix and Software Modem



od
07-21-2003, 12:59 PM
I have an AMD 500MHz K6 2 PC, with 128 MB ram with Win 98 SE and Mandrake 9 on it.

Knoppix works brilliantly on my PC, far faster than mandrake for some reason, but I can't dial out using Linux because my modem is software based. Can anyone help or suggest a work-around. I really want to be able to use a lot of the internet tools on knoppix.

Thanks from a frustrated Linux Newbie

OD

aaronforjesus
07-21-2003, 03:08 PM
The scanmodem tool from http://www.linmodems.org may be able to help see if your modem is capable of being used.

od
07-24-2003, 04:15 PM
Hey There,

Thanks for the advice. I got a report using scanmodem and have downloaded the linux driver at work and will go home and try to install it.

Can I ask:

How and where do I install it? I don't know the command line method. For scanmodem I copied the file to the home directory and unpacked it using one of the r. click options and then double clicked the programme file.

If Knoppix runs from CD, do I save the driver to my persistant home directory and will it recognise it later on reboot?

I'm familiar with Mac / Win 98 installs but am a total newbie as far as Linux is concerned. Any help appreciated :)

OD
__________________________________________
scanmodem result .txt pasted below (it may help?):



The most recent update of scanmodem accessed at http://linmodems.technion.ac.il/packages/scanModem.gz
should ALWAYS be used before requesting help from discuss@linmodem.org,
URLs to cogent advice are regularly entered and updated, and your problem may be solved therein.
If further help is needed, send a description of your problem to: discuss@linmodems.org
with this ModemData.txt Attached, using the following in the email Subject Line:
SUBJECT="scanModem, debian kernel 2.4.20-xfs

-------------- System information ------------------------
debian testing/unstable
on system: Linux Knoppix 2.4.20-xfs #1 SMP Mit Mr 26 15:37:36 CET 2003 i586 unknown unknown GNU/Linux"
GCC=3.2.3
UPDATE=2003 July 16

An AC'97 modem codec was not detected

Path to lspci is: /sbin/lspci
--------- lspci scan ----------------
00:00.0 Host bridge: ALi Corporation M1541 (rev 04)
00:01.0 PCI bridge: ALi Corporation M1541 PCI to AGP Controller (rev 04)
00:02.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:07.0 ISA bridge: ALi Corporation M1533 PCI to ISA Bridge [Aladdin IV] (rev c3)
00:09.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:0a.0 Communication controller: Ambient Technologies Inc HaM controllerless modem (rev 02)
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev c2)
01:00.0 VGA compatible controller: S3 Inc. 86c368 [Trio 3D/2X] (rev 02)
-------------------------------------
Reading more detail for the Device at:
PCI bus
-------
00:0a.0 Class 0780: 1813:4000 (rev 02)
Subsystem
00:0a.0 Communication controller: Ambient Technologies Inc HaM controllerless modem (rev 02)
Flags: medium devsel, IRQ 12
Memory at dc001000 (32-bit, non-prefetchable)
I/O ports at 2400 [size=256]
Capabilities: <available only to root>

-------------------------------------------------------
1813:4000 PCI_ID of the PCI bus with vendor: 1813
PCI_ID of Subsystem with vendor:
-------------------------------------------------------
are key Sought Descriptions of your modem firmware.
Have them ready when visiting URLs with service software!!

=== Checking 1813 through chipset providers and modem assemblers ====

Vendor=8086 is Intel, Inc. producing HaM and 536ep host controller free (HCF) modems, the 537 soft modem
and AC'97 and MC97 controllers managing a varierty of non-Intel soft modem subSystems. These subSystems
will in general not have Intel PCI_IDs.

Download drivers from: http://developer.intel.com/design/modems/support/drivers.htm
Also check at: http://linmodems.technion.ac.il/resources.html
for early releases and perhaps already compiled drivers.


====== PCI_ID scanning for Vendors and SubVendors completed ======

GCCversion=3.2.3

The following information blocks just query some ppp support items.
================================================== ==================
grep ppp /etc/modules.conf
--------------------------------
alias char-major-108 ppp_generic
alias /dev/ppp ppp_generic
alias tty-ldisc-3 ppp_async
alias tty-ldisc-14 ppp_synctty
alias ppp-compress-21 bsd_comp
alias ppp-compress-24 ppp_deflate
alias ppp-compress-26 ppp_deflate
### update-modules: start processing /etc/modutils/ppp
alias /dev/ppp ppp_generic
alias char-major-108 ppp_generic
alias tty-ldisc-3 ppp_async
alias tty-ldisc-14 ppp_synctty
alias ppp-compress-21 bsd_comp
alias ppp-compress-24 ppp_deflate
alias ppp-compress-26 ppp_deflate
### update-modules: end processing /etc/modutils/ppp
--------------------------------
DEVPPP=lrwxrwxrwx 1 root root 16 Jul 23 2003 /dev/ppp -> /KNOPPIX/dev/ppp
DEVFS=
DEVFSD=
[size=2]

makkintosh
08-29-2003, 10:38 AM
hi all.
i have a problem. i couldnot access http://linmodems.technion.ac.il/.

can you give me link to scanModem distr. at any other server?